package com.njcn.executor.handler;

import com.njcn.prepare.harmonic.api.line.ThsSuperviseClient;
import com.njcn.prepare.harmonic.pojo.param.SuperviseParam;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * 每日生成技术监督任务
 *
 * @author Lee
 * @date 2023/04/11
 */
@Slf4j
@Component
@RequiredArgsConstructor
public class ThsSuperviseJob {

    private final ThsSuperviseClient thsSuperviseClient;

    @XxlJob("thsSuperviseJob")
    public void thsSuperviseJob() {
        SuperviseParam superviseParam = new SuperviseParam();
        superviseParam.setInitType(0);
        thsSuperviseClient.creatSupervise(superviseParam);
    }
}
